Subject: Generated xilinx linux 2.6 image sections

From: greenlean <[email-masked]>
Date: Mon, 21 Jan 2008 05:05:40 -0800 (PST)

Hi all, 

I'm trying to boot the 2.6 xilinx kernel downloaded from their git server in
the XUPV2P board I'm really having troubles (I can't see anything in the
minicom console terminal). I'm not seeing anything, neither the ucompressing
kernel string nor the prompt with the memory addresses that kernel prompt at
first time, so I have started to distrust of anything. 

When I download the kernel using xmd, I see:

XMD% dow imagen_UART16550_ml300.elf
        section, .text: 0x00400000-0x0040387b
        section, .data: 0x00404000-0x004e6fff
        section, .bss: 0x004e7000-0x004e919f
Downloaded Program imagen_UART16550_ml300.elf
Setting PC with Program Start Address 0x00400000

and when I download some of the TestApp generated by EDK I see:

XMD% dow perif.elf
        section, .vectors: 0xfffe0000-0xfffe20c3
        section, .text: 0x10000000-0x10003b7b
        section, .init: 0x10003b7c-0x10003b9f
        section, .fini: 0x10003ba0-0x10003bbf
        section, .boot0: 0xfffe20c4-0xfffe20d3
        section, .boot: 0xfffffffc-0xffffffff
        section, .rodata: 0x10003bc0-0x10004111
        section, .sdata2: 0x10004114-0x10004113
        section, .sbss2: 0x10004114-0x10004113
        section, .data: 0x10004114-0x10004243
        section, .got: 0x10004244-0x10004243
        section, .got1: 0x10004244-0x10004243
        section, .got2: 0x10004244-0x1000425f
        section, .ctors: 0x10004260-0x10004267
        section, .dtors: 0x10004268-0x1000426f
        section, .fixup: 0x10004270-0x1000426f
        section, .eh_frame: 0x10004270-0x10004277
        section, .jcr: 0x10004278-0x1000427b
        section, .gcc_except_table: 0x1000427c-0x100042
        section, .sdata: 0x1000427c-0x10004293
        section, .sbss: 0x10004294-0x100042a3
        section, .bss: 0x100042a4-0x10004473
        section, .stack: 0x10004474-0x1000647f
        section, .heap: 0x10006480-0x1000847f
Downloaded Program perif.elf
Setting PC with Program Start Address 0xfffffffc

Does anybody know why the kernel elf don't have a boot section like the
TestApp generated by EDK?

I suppossed this is because the image kernel is compressed, but despite
beeing compressed it should have a boot section or something similar ??? 
It's right that the kernel start address is set to the 0x00400000??

Or does the section .text  contains all the kernel code to uncompresse the
code of the kernel??

-- 
View this message in context: http://www.nabble.com/Generated-xilinx-linux-2.6--image-sections-tp14997109p14997109.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.